import request from '@/utils/request'

// 查询虚假材料申报信息列表
export function listMaterials(query) {
    return request({
        url: '/crmFraudulentMaterials/findByPage',
        method: 'get',
        params: query
    })
}

// 查询虚假材料申报信息详细
export function getMaterials(id) {
    return request({
        url: '/crmFraudulentMaterials/' + id,
        method: 'get'
    })
}

// 新增虚假材料申报信息
export function addMaterials(data) {
    return request({
        url: '/crmFraudulentMaterials',
        method: 'post',
        data: data
    })
}

// 修改虚假材料申报信息
export function updateMaterials(data) {
    return request({
        url: '/crmFraudulentMaterials',
        method: 'put',
        data: data
    })
}

// 删除虚假材料申报信息
export function delMaterials(id) {
    return request({
        url: '/crmFraudulentMaterials/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delMaterialsBatch(ids) {
    console.log(ids);
    return request.post('/crmFraudulentMaterials/delete',ids)
}